PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cgeadd | ( | PLASMA_enum | trans,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t | alpha,
|  | const PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | PLASMA_Complex32_t | beta,
|  | PLASMA_Complex32_t * | B,
|  | int | LDB
| ) |  |

CORE_cgeadd adds two matrices together as in PBLAS pcgeadd.

     B <- alpha * op(A)  + beta * B,

where op(X) = X, X', or conjf(X')

Parameters

  [in] | trans | Specifies whether the matrix A is non-transposed, transposed, or conjfugate transposed = PlasmaNoTrans: op(A) = A = PlasmaTrans: op(A) = A' = PlasmaConjTrans: op(A) = conjf(A')
  [in] | M | Number of rows of the matrices op(A) and B.
  [in] | N | Number of columns of the matrices op(A) and B.
  [in] | alpha | Scalar factor of A.
  [in] | A | Matrix of size LDA-by-N, if trans = PlasmaNoTrans, LDA-by-M otherwise.
  [in] | LDA | Leading dimension of the array A. LDA >= max(1,k), with k=M, if trans = PlasmaNoTrans, and k=N otherwise.
  [in] | beta | Scalar factor of B.
  [in,out] | B | Matrix of size LDB-by-N. On exit, B = alpha * op(A) + beta * B
  [in] | LDB | Leading dimension of the array B. LDB >= max(1,M)

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value